import { IParkingsFeature } from "#og/transformations/interfaces/IParkingFeature";
import { GeoCoordinatesType } from "@golemio/core/dist/output-gateway";

export const featureItemDataId3: IParkingsFeature = {
    geometry: {
        coordinates: [
            [
                [15.073535465794144, 50.777867143328834],
                [15.074364650303988, 50.77813579123175],
                [15.074351908646097, 50.77815160179682],
                [15.073522723931404, 50.77788295380698],
                [15.073535465794144, 50.777867143328834],
            ],
            [
                [15.074416914065177, 50.77817503753822],
                [15.074429497702463, 50.77815935612828],
                [15.074877094523854, 50.77830375040025],
                [15.07486451099657, 50.77831943185654],
                [15.074416914065177, 50.77817503753822],
            ],
            [
                [15.075650733190733, 50.77868651870031],
                [15.075650733190733, 50.77868651870031],
                [15.075564634987378, 50.77861045467845],
                [15.07554201324507, 50.77862087663137],
                [15.075499118355399, 50.77858247914091],
                [15.075484187776214, 50.77858944482163],
                [15.075439271486093, 50.778550497382035],
                [15.075419840628033, 50.77855937822567],
                [15.07537695602758, 50.77852084116626],
                [15.075367120753475, 50.778525311406675],
                [15.075303564462287, 50.778468503035036],
                [15.075300595898385, 50.77846615599911],
                [15.075300381548084, 50.77846626713369],
                [15.075300234820142, 50.77846634207723],
                [15.075281186802224, 50.778474938792975],
                [15.075239435968914, 50.77843771729444],
                [15.075290246614136, 50.77841473660306],
                [15.075335124012991, 50.778454153668214],
                [15.075354558422568, 50.7784452488684],
                [15.075419494920078, 50.77850296000166],
                [15.075429096512892, 50.77849851290845],
                [15.075472261228347, 50.778537033865646],
                [15.075491718741654, 50.77852840732294],
                [15.075535754974565, 50.77856669175267],
                [15.075550961185778, 50.77856003875174],
                [15.075592711076746, 50.778597264182665],
                [15.075594228650798, 50.77859843531407],
                [15.075616936041953, 50.77858819748631],
                [15.075701590126364, 50.778663498184564],
                [15.075650733190733, 50.77868651870031],
            ],
            [
                [15.07560156777543, 50.778786780162434],
                [15.075555472608372, 50.77876012088723],
                [15.075653399037733, 50.778692051930335],
                [15.075699494193103, 50.77871871116814],
                [15.07560156777543, 50.778786780162434],
            ],
        ],
        type: GeoCoordinatesType.Polygon,
    },
    properties: {
        id: "korid-21",
        source: "korid",
        source_id: "21",
        data_provider: "www.korid.cz",
        name: "Purkyňova ulice",
        category: "park_and_ride",
        date_modified: "2021-02-24T16:30:06.236Z",
        address_formatted: null,
        address: null,
        area_served: null,
        web_app_payment_url: null,
        android_app_payment_url: null,
        ios_app_payment_url: null,
        total_spot_number: 36,
        tariff_id: null,
        valid_from: null,
        valid_to: null,
        parking_type: "on_street",
        zone_type: null,
        available_spots_last_updated: "2021-02-26T12:58:42+01:00",
        available_spots_number: 6,
        centroid: {
            type: GeoCoordinatesType.Point,
            coordinates: [15.05929990174349, 50.77035456801465],
        },
    },
    type: "Feature",
};
